library ieee;
use ieee.std_logic_1164.all;
use work.CONSTANTS.all;

entity MUX21_GEN is
	GENERIC (n: integer);
	port(A : in std_logic_vector(n - 1 downto 0);
		 B : in std_logic_vector(n - 1 downto 0);
		 SEL : in std_logic;
		 O : out std_logic_vector(n - 1 downto 0)
		 );
end entity MUX21_GEN;

architecture behavioral of MUX21_GEN is

begin

	with SEL select O <=
		A when '0',
		B when '1',
		(others => '0') when others;

end architecture behavioral;